Skip to content
Start here

Smart Shield

Get Smart Shield Settings
GET/zones/{zone_id}/smart_shield
Patch Smart Shield Settings
PATCH/zones/{zone_id}/smart_shield
ModelsExpand Collapse
SmartShieldGetResponse { cache_reserve, healthchecks_count, regional_tiered_cache, 2 more }

A consolidated object containing settings from multiple APIs for partial updates.

cache_reserve: { id, editable, value }
id: optional string

The id of the Cache Reserve setting.

editable: optional boolean

Whether the setting is editable.

value: optional "on" or "off"

Specifies the enablement value of Cache Reserve.

One of the following:
"on"
"off"
healthchecks_count: number

The total number of health checks associated with the zone.

regional_tiered_cache: { id, editable, value }
id: optional string

The id of the Regional Tiered Cache setting.

editable: optional boolean

Whether the setting is editable.

value: optional "on" or "off"

Specifies the enablement value of Cache Reserve.

One of the following:
"on"
"off"
smart_routing: { id, editable, value }
id: optional string

The id of the Smart Routing setting.

editable: optional boolean

Whether the setting is editable.

value: optional "on" or "off"

Specifies the enablement value of Argo Smart Routing.

One of the following:
"on"
"off"
smart_tiered_cache: { id, editable, modified_on, value }
id: optional string

The id of the Smart Tiered Cache setting.

editable: optional boolean

Whether the setting is editable.

modified_on: optional string

The last time the setting was modified.

value: optional "on" or "off"

Specifies the enablement value of Tiered Cache.

One of the following:
"on"
"off"
SmartShieldUpdateResponse { smart_tiered_cache }

A consolidated object containing settings from multiple APIs for partial updates.

smart_tiered_cache: { id, editable, modified_on, value }
id: optional string

The id of the Smart Tiered Cache setting.

editable: optional boolean

Whether the setting is editable.

modified_on: optional string

The last time the setting was modified.

value: optional "on" or "off"

Specifies the enablement value of Tiered Cache.

One of the following:
"on"
"off"

Smart ShieldHealth Checks

List Health Checks
GET/zones/{zone_id}/smart_shield/healthchecks
Health Check Details
GET/zones/{zone_id}/smart_shield/healthchecks/{healthcheck_id}
Create Health Check
POST/zones/{zone_id}/smart_shield/healthchecks
Update Health Check
PUT/zones/{zone_id}/smart_shield/healthchecks/{healthcheck_id}
Patch Health Check
PATCH/zones/{zone_id}/smart_shield/healthchecks/{healthcheck_id}
Delete Health Check
DELETE/zones/{zone_id}/smart_shield/healthchecks/{healthcheck_id}
ModelsExpand Collapse
HealthCheckListResponse { id, address, check_regions, 15 more }
id: optional string

Identifier.

maxLength32
address: optional string

The hostname or IP address of the origin server to run health checks on.

check_regions: optional array of "WNAM" or "ENAM" or "WEU" or 11 more

A list of regions from which to run health checks. Null means Cloudflare will pick a default region.

One of the following:
"WNAM"
"ENAM"
"WEU"
"EEU"
"NSAM"
"SSAM"
"OC"
"ME"
"NAF"
"SAF"
"IN"
"SEAS"
"NEAS"
"ALL_REGIONS"
consecutive_fails: optional number

The number of consecutive fails required from a health check before changing the health to unhealthy.

consecutive_successes: optional number

The number of consecutive successes required from a health check before changing the health to healthy.

created_on: optional string
formatdate-time
description: optional string

A human-readable description of the health check.

failure_reason: optional string

The current failure reason if status is unhealthy.

http_config: optional { allow_insecure, expected_body, expected_codes, 5 more }

Parameters specific to an HTTP or HTTPS health check.

allow_insecure: optional boolean

Do not validate the certificate when the health check uses HTTPS.

expected_body: optional string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.

expected_codes: optional array of string

The expected HTTP response codes (e.g. “200”) or code ranges (e.g. “2xx” for all codes starting with 2) of the health check.

follow_redirects: optional boolean

Follow redirects if the origin returns a 3xx status code.

header: optional map[array of string]

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.

method: optional "GET" or "HEAD"

The HTTP method to use for the health check.

One of the following:
"GET"
"HEAD"
path: optional string

The endpoint path to health check against.

port: optional number

Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.

interval: optional number

The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.

modified_on: optional string
formatdate-time
name: optional string

A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.

retries: optional number

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

status: optional "unknown" or "healthy" or "unhealthy" or "suspended"

The current status of the origin server according to the health check.

One of the following:
"unknown"
"healthy"
"unhealthy"
"suspended"
suspended: optional boolean

If suspended, no health checks are sent to the origin.

tcp_config: optional { method, port }

Parameters specific to TCP health check.

method: optional "connection_established"

The TCP connection method to use for the health check.

port: optional number

Port number to connect to for the health check. Defaults to 80.

timeout: optional number

The timeout (in seconds) before marking the health check as failed.

type: optional string

The protocol to use for the health check. Currently supported protocols are ‘HTTP’, ‘HTTPS’ and ‘TCP’.

HealthCheckGetResponse { id, address, check_regions, 15 more }
id: optional string

Identifier.

maxLength32
address: optional string

The hostname or IP address of the origin server to run health checks on.

check_regions: optional array of "WNAM" or "ENAM" or "WEU" or 11 more

A list of regions from which to run health checks. Null means Cloudflare will pick a default region.

One of the following:
"WNAM"
"ENAM"
"WEU"
"EEU"
"NSAM"
"SSAM"
"OC"
"ME"
"NAF"
"SAF"
"IN"
"SEAS"
"NEAS"
"ALL_REGIONS"
consecutive_fails: optional number

The number of consecutive fails required from a health check before changing the health to unhealthy.

consecutive_successes: optional number

The number of consecutive successes required from a health check before changing the health to healthy.

created_on: optional string
formatdate-time
description: optional string

A human-readable description of the health check.

failure_reason: optional string

The current failure reason if status is unhealthy.

http_config: optional { allow_insecure, expected_body, expected_codes, 5 more }

Parameters specific to an HTTP or HTTPS health check.

allow_insecure: optional boolean

Do not validate the certificate when the health check uses HTTPS.

expected_body: optional string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.

expected_codes: optional array of string

The expected HTTP response codes (e.g. “200”) or code ranges (e.g. “2xx” for all codes starting with 2) of the health check.

follow_redirects: optional boolean

Follow redirects if the origin returns a 3xx status code.

header: optional map[array of string]

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.

method: optional "GET" or "HEAD"

The HTTP method to use for the health check.

One of the following:
"GET"
"HEAD"
path: optional string

The endpoint path to health check against.

port: optional number

Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.

interval: optional number

The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.

modified_on: optional string
formatdate-time
name: optional string

A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.

retries: optional number

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

status: optional "unknown" or "healthy" or "unhealthy" or "suspended"

The current status of the origin server according to the health check.

One of the following:
"unknown"
"healthy"
"unhealthy"
"suspended"
suspended: optional boolean

If suspended, no health checks are sent to the origin.

tcp_config: optional { method, port }

Parameters specific to TCP health check.

method: optional "connection_established"

The TCP connection method to use for the health check.

port: optional number

Port number to connect to for the health check. Defaults to 80.

timeout: optional number

The timeout (in seconds) before marking the health check as failed.

type: optional string

The protocol to use for the health check. Currently supported protocols are ‘HTTP’, ‘HTTPS’ and ‘TCP’.

HealthCheckCreateResponse { id, address, check_regions, 15 more }
id: optional string

Identifier.

maxLength32
address: optional string

The hostname or IP address of the origin server to run health checks on.

check_regions: optional array of "WNAM" or "ENAM" or "WEU" or 11 more

A list of regions from which to run health checks. Null means Cloudflare will pick a default region.

One of the following:
"WNAM"
"ENAM"
"WEU"
"EEU"
"NSAM"
"SSAM"
"OC"
"ME"
"NAF"
"SAF"
"IN"
"SEAS"
"NEAS"
"ALL_REGIONS"
consecutive_fails: optional number

The number of consecutive fails required from a health check before changing the health to unhealthy.

consecutive_successes: optional number

The number of consecutive successes required from a health check before changing the health to healthy.

created_on: optional string
formatdate-time
description: optional string

A human-readable description of the health check.

failure_reason: optional string

The current failure reason if status is unhealthy.

http_config: optional { allow_insecure, expected_body, expected_codes, 5 more }

Parameters specific to an HTTP or HTTPS health check.

allow_insecure: optional boolean

Do not validate the certificate when the health check uses HTTPS.

expected_body: optional string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.

expected_codes: optional array of string

The expected HTTP response codes (e.g. “200”) or code ranges (e.g. “2xx” for all codes starting with 2) of the health check.

follow_redirects: optional boolean

Follow redirects if the origin returns a 3xx status code.

header: optional map[array of string]

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.

method: optional "GET" or "HEAD"

The HTTP method to use for the health check.

One of the following:
"GET"
"HEAD"
path: optional string

The endpoint path to health check against.

port: optional number

Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.

interval: optional number

The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.

modified_on: optional string
formatdate-time
name: optional string

A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.

retries: optional number

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

status: optional "unknown" or "healthy" or "unhealthy" or "suspended"

The current status of the origin server according to the health check.

One of the following:
"unknown"
"healthy"
"unhealthy"
"suspended"
suspended: optional boolean

If suspended, no health checks are sent to the origin.

tcp_config: optional { method, port }

Parameters specific to TCP health check.

method: optional "connection_established"

The TCP connection method to use for the health check.

port: optional number

Port number to connect to for the health check. Defaults to 80.

timeout: optional number

The timeout (in seconds) before marking the health check as failed.

type: optional string

The protocol to use for the health check. Currently supported protocols are ‘HTTP’, ‘HTTPS’ and ‘TCP’.

HealthCheckUpdateResponse { id, address, check_regions, 15 more }
id: optional string

Identifier.

maxLength32
address: optional string

The hostname or IP address of the origin server to run health checks on.

check_regions: optional array of "WNAM" or "ENAM" or "WEU" or 11 more

A list of regions from which to run health checks. Null means Cloudflare will pick a default region.

One of the following:
"WNAM"
"ENAM"
"WEU"
"EEU"
"NSAM"
"SSAM"
"OC"
"ME"
"NAF"
"SAF"
"IN"
"SEAS"
"NEAS"
"ALL_REGIONS"
consecutive_fails: optional number

The number of consecutive fails required from a health check before changing the health to unhealthy.

consecutive_successes: optional number

The number of consecutive successes required from a health check before changing the health to healthy.

created_on: optional string
formatdate-time
description: optional string

A human-readable description of the health check.

failure_reason: optional string

The current failure reason if status is unhealthy.

http_config: optional { allow_insecure, expected_body, expected_codes, 5 more }

Parameters specific to an HTTP or HTTPS health check.

allow_insecure: optional boolean

Do not validate the certificate when the health check uses HTTPS.

expected_body: optional string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.

expected_codes: optional array of string

The expected HTTP response codes (e.g. “200”) or code ranges (e.g. “2xx” for all codes starting with 2) of the health check.

follow_redirects: optional boolean

Follow redirects if the origin returns a 3xx status code.

header: optional map[array of string]

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.

method: optional "GET" or "HEAD"

The HTTP method to use for the health check.

One of the following:
"GET"
"HEAD"
path: optional string

The endpoint path to health check against.

port: optional number

Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.

interval: optional number

The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.

modified_on: optional string
formatdate-time
name: optional string

A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.

retries: optional number

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

status: optional "unknown" or "healthy" or "unhealthy" or "suspended"

The current status of the origin server according to the health check.

One of the following:
"unknown"
"healthy"
"unhealthy"
"suspended"
suspended: optional boolean

If suspended, no health checks are sent to the origin.

tcp_config: optional { method, port }

Parameters specific to TCP health check.

method: optional "connection_established"

The TCP connection method to use for the health check.

port: optional number

Port number to connect to for the health check. Defaults to 80.

timeout: optional number

The timeout (in seconds) before marking the health check as failed.

type: optional string

The protocol to use for the health check. Currently supported protocols are ‘HTTP’, ‘HTTPS’ and ‘TCP’.

HealthCheckEditResponse { id, address, check_regions, 15 more }
id: optional string

Identifier.

maxLength32
address: optional string

The hostname or IP address of the origin server to run health checks on.

check_regions: optional array of "WNAM" or "ENAM" or "WEU" or 11 more

A list of regions from which to run health checks. Null means Cloudflare will pick a default region.

One of the following:
"WNAM"
"ENAM"
"WEU"
"EEU"
"NSAM"
"SSAM"
"OC"
"ME"
"NAF"
"SAF"
"IN"
"SEAS"
"NEAS"
"ALL_REGIONS"
consecutive_fails: optional number

The number of consecutive fails required from a health check before changing the health to unhealthy.

consecutive_successes: optional number

The number of consecutive successes required from a health check before changing the health to healthy.

created_on: optional string
formatdate-time
description: optional string

A human-readable description of the health check.

failure_reason: optional string

The current failure reason if status is unhealthy.

http_config: optional { allow_insecure, expected_body, expected_codes, 5 more }

Parameters specific to an HTTP or HTTPS health check.

allow_insecure: optional boolean

Do not validate the certificate when the health check uses HTTPS.

expected_body: optional string

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy.

expected_codes: optional array of string

The expected HTTP response codes (e.g. “200”) or code ranges (e.g. “2xx” for all codes starting with 2) of the health check.

follow_redirects: optional boolean

Follow redirects if the origin returns a 3xx status code.

header: optional map[array of string]

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden.

method: optional "GET" or "HEAD"

The HTTP method to use for the health check.

One of the following:
"GET"
"HEAD"
path: optional string

The endpoint path to health check against.

port: optional number

Port number to connect to for the health check. Defaults to 80 if type is HTTP or 443 if type is HTTPS.

interval: optional number

The interval between each health check. Shorter intervals may give quicker notifications if the origin status changes, but will increase load on the origin as we check from multiple locations.

modified_on: optional string
formatdate-time
name: optional string

A short name to identify the health check. Only alphanumeric characters, hyphens and underscores are allowed.

retries: optional number

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

status: optional "unknown" or "healthy" or "unhealthy" or "suspended"

The current status of the origin server according to the health check.

One of the following:
"unknown"
"healthy"
"unhealthy"
"suspended"
suspended: optional boolean

If suspended, no health checks are sent to the origin.

tcp_config: optional { method, port }

Parameters specific to TCP health check.

method: optional "connection_established"

The TCP connection method to use for the health check.

port: optional number

Port number to connect to for the health check. Defaults to 80.

timeout: optional number

The timeout (in seconds) before marking the health check as failed.

type: optional string

The protocol to use for the health check. Currently supported protocols are ‘HTTP’, ‘HTTPS’ and ‘TCP’.

HealthCheckDeleteResponse { id }
id: optional string

Identifier.

maxLength32

Smart ShieldCache Reserve Clear

Get Cache Reserve Clear
GET/zones/{zone_id}/smart_shield/cache_reserve_clear
Start Cache Reserve Clear
POST/zones/{zone_id}/smart_shield/cache_reserve_clear
ModelsExpand Collapse
CacheReserveClearStatusResponse { id, start_ts, state, 2 more }

You can use Cache Reserve Clear to clear your Cache Reserve, but you must first disable Cache Reserve. In most cases, this will be accomplished within 24 hours. You cannot re-enable Cache Reserve while this process is ongoing. Keep in mind that you cannot undo or cancel this operation.

ID of the zone setting.

start_ts: string

The time that the latest Cache Reserve Clear operation started.

formatdate-time
state: "In-progress" or "Completed"

The current state of the Cache Reserve Clear operation.

One of the following:
"In-progress"
"Completed"
end_ts: optional string

The time that the latest Cache Reserve Clear operation completed.

formatdate-time
modified_on: optional string

Last time this setting was modified.

formatdate-time
CacheReserveClearClearResponse { id, start_ts, state, 2 more }

You can use Cache Reserve Clear to clear your Cache Reserve, but you must first disable Cache Reserve. In most cases, this will be accomplished within 24 hours. You cannot re-enable Cache Reserve while this process is ongoing. Keep in mind that you cannot undo or cancel this operation.

ID of the zone setting.

start_ts: string

The time that the latest Cache Reserve Clear operation started.

formatdate-time
state: "In-progress" or "Completed"

The current state of the Cache Reserve Clear operation.

One of the following:
"In-progress"
"Completed"
end_ts: optional string

The time that the latest Cache Reserve Clear operation completed.

formatdate-time
modified_on: optional string

Last time this setting was modified.

formatdate-time